<?php

/**
 * HostDev TogglePanel
 *
 * @version 1.0
 * @author Eugeny Panikarowsky - evgenii_panikaro@mail.ru
 * @copyright © 2015 Eugeny Panikarowsky
 *
*/

class HostDev_TogglePanel_Module extends Core_Module {
	
	protected $_observers = '$togglepanel = CMS_FOLDER . "modules/hostdev/togglepanel/module.php"; if (file_exists($togglepanel)) { require_once($togglepanel);}';
	
	public function install() {	
		// прописываем хуки
		$text = Core_File::read(CMS_FOLDER.'bootstrap.php');
		if (strpos($text, $this->_observers) == 0)
		{
			$fp = fopen( CMS_FOLDER.'bootstrap.php', 'a');
			fwrite($fp, "\n\r".$this->_observers);
			fclose($fp);
		}
	}
	static function TogglePanel() {
		if (Core::$url['path'] == '/edit-in-place.php') {
			return;
		}
		if (Core::checkPanel())
		{
			$oHostcmsTopPanel = Core::factory('Core_Html_Entity_Div')
				->class('hostcmsPanel togglePanel');

			$oHostcmsSubPanel = Core::factory('Core_Html_Entity_Div')
				->class('hostcmsSubPanel hostcmsWindow');

			$oHostcmsTopPanel->add($oHostcmsSubPanel);
			// Separator
			$oHostcmsSubPanel
			->add(
				Core::factory('Core_Html_Entity_Span')
					->id('togglePanel')
					->add(
						Core::factory('Core_Html_Entity_Img')
							->width(16)->height(16)
							->src('/modules/hostdev/togglepanel/togglepanel.png')
							->alt('Скрыть\Показать панели')
							->title('Скрыть\Показать панели')
					)
			);
			?>
			<script>
					$().ready(function(){
						$(".togglePanel").applyShadow();
						$(".togglePanel").draggable({containment: "document"});
						$("#togglePanel").click(function(e){
							$(".hostcmsPanel:not(.togglePanel)").toggle();
						});
					});
			</script>
			<style>.togglePanel { 
					left: 20px;
					top: 10px;
					position: fixed;
				}
			</style>
			<?php
			$oHostcmsTopPanel->execute();
			
		}
	}
}

Core_Event::attach('Core_Response.onAfterShowBody', array('HostDev_Togglepanel_Module', 'TogglePanel'));

